sendsend.email

Retrieve a template version

GET/v1/templates/{id}/versions/{version}

One stored version with its subject, HTML, text, visual design, translations and variables.

Required scope: templates:manage

Parameters

NameInDescription
idrequiredpathThe template id.
versionrequiredpathThe version number.

Example

curl -X GET 'https://api.sendsend.email/v1/templates/ID/versions/{version}' \
  -H "Authorization: Bearer $SENDSEND_API_KEY"

Response 200

{
  "object": "template_version",
  "template_id": "welcome",
  "version": 1,
  "subject": "Welcome, {{first_name}}",
  "html": "<p>Hi {{first_name}}!</p>",
  "text": "Hi {{first_name}}!",
  "design": null,
  "translations": {},
  "variables": {
    "first_name": {
      "type": "string",
      "required": true
    }
  },
  "created_at": "2026-10-15T09:00:00.000Z"
}

Errors

StatusCodeWhen
404not_foundNo such resource in this project.
401unauthorizedThe API key is missing, invalid or revoked.
403forbiddenThe key does not have the scope this endpoint needs.

Every error has the same shape. See Errors.